NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Mfg.AM.Nester3D Class Reference

Interface for AM Nesting Dialog Builder More...

Inheritance diagram for NXOpen.Mfg.AM.Nester3D:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Constraint {
  Free, FixedZDirection, FixedFloorPlane, Rotate180,
  FixedBottomAndXY, FixedRotation, Fixed
}
 Interface for AM Nesting Dialog Builder More...
 
enum  Interlocking { AllowInterlocks, AvoidTunnels, AvoidAllInterlocks }
 Interface for AM Nesting Dialog Builder More...
 
enum  NesterType { TwoD, ThreeD }
 Interface for AM Nesting Dialog Builder More...
 
enum  Solution { OptimizeHeight, DistributeHeight, OptimizeSliceVolume, OptimizeHeightAndSliceVolume }
 Interface for AM Nesting Dialog Builder More...
 

Public Member Functions

unsafe NXOpen.Mfg.AM.NestingStatus ExecuteNesting ()
 Execute the Nesting More...
 
unsafe void SetNesting (double dLength, double dWidth, double dHeight)
 Sets the (sub) nesting box More...
 
unsafe void SetNesting (double dDiameter, double dHeight)
 Sets the (sub) nesting cylinder More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double Accuracy [get, set]
 Returns or sets the accuracy More...
 
unsafe double BottomDistance [get, set]
 Returns or sets the spacing between parts More...
 
unsafe
NXOpen.Mfg.AM.Nester3D.Constraint 
ConstraintType [get, set]
 Returns or sets the constraints More...
 
unsafe
NXOpen.Mfg.AM.Nester3D.Interlocking 
InterlockingType [get, set]
 Returns or sets the solution type More...
 
unsafe
NXOpen.Mfg.AM.Nester3D.NesterType 
NestingType [get, set]
 Returns or sets the nesting type More...
 
unsafe NXOpen.Mfg.AM.SelectPartList PartsToNest [get]
 Returns the parts to nest More...
 
unsafe
NXOpen.Mfg.AM.Nester3D.Solution 
SolutionType [get, set]
 Returns or sets the solution type More...
 
unsafe double Spacing [get, set]
 Returns or sets the spacing between parts More...
 
unsafe bool StartFromEmptyBuildtray [get, set]
 Returns or sets the StartFromEmptyBuildtray More...
 
unsafe int StopAfter [get, set]
 Returns or sets the stop after More...
 
unsafe double TargetDensity [get, set]
 Returns or sets the targetDensity More...
 
unsafe bool ViewProgress [get, set]
 Returns or sets the view progress More...
 
unsafe double WallDistance [get, set]
 Returns or sets the spacing between parts More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Interface for AM Nesting Dialog Builder

To create a new instance of this class, use NXOpen.Mfg.AM.ApplicationManager.Get3DNester

Default values.

Property Value

Accuracy

1 (millimeters part), 1 (inches part)

BottomDistance

2.0 (millimeters part), 0.1 (inches part)

ConstraintType

FixedRotation

InterlockingType

AllowInterlocks

SolutionType

OptimizeHeight

Spacing

5.0 (millimeters part), 0.2 (inches part)

StartFromEmptyBuildtray

0

StopAfter

2

TargetDensity

10.0

ViewProgress

1

WallDistance

2.0 (millimeters part), 0.1 (inches part)

Created in NX11.0.1

Member Enumeration Documentation

Interface for AM Nesting Dialog Builder

Enumerator
Free 
FixedZDirection 
FixedFloorPlane 
Rotate180 
FixedBottomAndXY 
FixedRotation 
Fixed 

Interface for AM Nesting Dialog Builder

Enumerator
AllowInterlocks 
AvoidTunnels 
AvoidAllInterlocks 

Interface for AM Nesting Dialog Builder

Enumerator
TwoD 
ThreeD 

Interface for AM Nesting Dialog Builder

Enumerator
OptimizeHeight 
DistributeHeight 
OptimizeSliceVolume 
OptimizeHeightAndSliceVolume 

Member Function Documentation

unsafe NXOpen.Mfg.AM.NestingStatus NXOpen.Mfg.AM.Nester3D.ExecuteNesting ( )
inline

Execute the Nesting

Created in NX11.0.2

License requirements: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

Returns
Nesting Status
unsafe void NXOpen.Mfg.AM.Nester3D.SetNesting ( double  dLength,
double  dWidth,
double  dHeight 
)
inline

Sets the (sub) nesting box

Created in NX1899.0.0

License requirements: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

Parameters
dLength
dWidth
dHeight
unsafe void NXOpen.Mfg.AM.Nester3D.SetNesting ( double  dDiameter,
double  dHeight 
)
inline

Sets the (sub) nesting cylinder

Created in NX1899.0.0

License requirements: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

Parameters
dDiameter
dHeight

Property Documentation

unsafe double NXOpen.Mfg.AM.Nester3D.Accuracy
getset

Returns or sets the accuracy

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe double NXOpen.Mfg.AM.Nester3D.BottomDistance
getset

Returns or sets the spacing between parts

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe NXOpen.Mfg.AM.Nester3D.Constraint NXOpen.Mfg.AM.Nester3D.ConstraintType
getset

Returns or sets the constraints

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe NXOpen.Mfg.AM.Nester3D.Interlocking NXOpen.Mfg.AM.Nester3D.InterlockingType
getset

Returns or sets the solution type

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe NXOpen.Mfg.AM.Nester3D.NesterType NXOpen.Mfg.AM.Nester3D.NestingType
getset

Returns or sets the nesting type

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe NXOpen.Mfg.AM.SelectPartList NXOpen.Mfg.AM.Nester3D.PartsToNest
get

Returns the parts to nest

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Mfg.AM.Nester3D.Solution NXOpen.Mfg.AM.Nester3D.SolutionType
getset

Returns or sets the solution type

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe double NXOpen.Mfg.AM.Nester3D.Spacing
getset

Returns or sets the spacing between parts

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe bool NXOpen.Mfg.AM.Nester3D.StartFromEmptyBuildtray
getset

Returns or sets the StartFromEmptyBuildtray

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe int NXOpen.Mfg.AM.Nester3D.StopAfter
getset

Returns or sets the stop after

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe double NXOpen.Mfg.AM.Nester3D.TargetDensity
getset

Returns or sets the targetDensity

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe bool NXOpen.Mfg.AM.Nester3D.ViewProgress
getset

Returns or sets the view progress

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")

unsafe double NXOpen.Mfg.AM.Nester3D.WallDistance
getset

Returns or sets the spacing between parts

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("NX Powder Bed Additive 2D Nesting")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.